Bug 732587 - Subroutine SNMP_Session::pack_sockaddr_in6 redefined
Summary: Subroutine SNMP_Session::pack_sockaddr_in6 redefined
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-SNMP_Session
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 02:04 UTC by Dave Jones
Modified: 2015-01-04 22:31 UTC (History)
4 users (show)

Fixed In Version: mrtg-2.17.2-5.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-11 03:17:05 UTC


Attachments (Terms of Use)

Description Dave Jones 2011-08-23 02:04:15 UTC
my mrtg setup broke. running it by hand shows this ..

Subroutine SNMP_Session::pack_sockaddr_in6 redefined at /usr/share/perl5/Exporter.pm line 67.
 at /usr/bin/../lib64/mrtg2/SNMP_Session.pm line 149
Subroutine SNMPv1_Session::pack_sockaddr_in6 redefined at /usr/share/perl5/Exporter.pm line 67.
 at /usr/bin/../lib64/mrtg2/SNMP_Session.pm line 604

I don't know if this should be an mrtg bug, or the perl lib, but I guess only one of them should declare that function.

Comment 1 Dave Jones 2011-09-21 22:26:16 UTC
reassign to mrtg ?

Comment 2 Tom "spot" Callaway 2011-10-02 10:34:16 UTC
It seems like I fix this bug about once a year. :P

Comment 3 Tom "spot" Callaway 2011-10-02 11:24:25 UTC
Dave, I think this fixes it, but I do not have a setup to test mrtg against. Please confirm that this update actually works.

Comment 4 Fedora Update System 2011-10-02 11:30:13 UTC
mrtg-2.17.2-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mrtg-2.17.2-5.fc16

Comment 5 Fedora Update System 2011-10-02 17:44:26 UTC
Package mrtg-2.17.2-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mrtg-2.17.2-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mrtg-2.17.2-5.fc16
then log in and leave karma (feedback).

Comment 6 Dave Jones 2011-10-03 16:19:31 UTC
This seems to solve this problem, though something else seems to be broken (snmp times out) that is likely unrelated, so I can't completely test it yet.
I'll poke at it some more later.

Comment 7 Dave Jones 2011-10-03 16:38:46 UTC
oh, derp. I was missing the net-snmp-sysvinit package.
seems to be working now.

thanks.

Comment 8 Fedora Update System 2011-10-11 03:17:05 UTC
mrtg-2.17.2-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Terje Røsten 2012-09-03 18:19:14 UTC
Hi Tom, could you please help me with this (related?) issue:

 https://bugzilla.redhat.com/show_bug.cgi?id=807830

Seems identical, however my perl foo is too weak to verify and fix.


Note You need to log in before you can comment on or make changes to this bug.